ranges::actions::take_fn Struct Reference

## Public Member Functions

template<typename Int >
CPP_TEMPLATE_AUX_0 | c (requires detail::integer_like_< Int >) ccconstexpr auto operator()(Int n) const
template<typename Rng >
CPP_TEMPLATE_AUX_0 | R (requires forward_range< Rng > &&erasable_range< Rng &, iterator_t< Rng >, sentinel_t< Rng >>) RRRng operator()(Rng &&rng
| ranges::actions::erase (rng, ranges::next(begin(rng), n, end(rng)), end(rng))
return | static_cast (rng)

## Public Attributes

CPP_TEMPLATE_AUX_0 range_difference_t< Rng > n | const

## Related Functions

(Note that these are not member functions.)
constexpr take_fn | take {}

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 range_difference_t<Rng> n ranges::actions::take_fn::const

Initial value:
{
assert ( n >= 0 )